Get associated cost integrations
curl --request GET \
--url https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_5976ebd11302daa2/cost_integrations",
"first": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_5976ebd11302daa2/cost_integrations?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_5976ebd11302daa2/cost_integrations?page=1",
"prev": null
},
"cost_integrations": [
{
"token": "accss_crdntl_51cc69c51624caf4",
"provider": "aws",
"account_identifier": "606441991586",
"status": "pending",
"last_updated": null,
"workspace_tokens": [
"wrkspc_5019ac56ac17dd58"
],
"created_at": "2026-11-10T22:13:57Z",
"managed_account_tokens": [],
"enriched_by": [
"srvc_data_intgrtn_1e315a6237dfd2e1",
"srvc_data_intgrtn_5976ebd11302daa2",
"srvc_data_intgrtn_60a40c37820efd44",
"srvc_data_intgrtn_8a0519d49bf04d02"
]
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}EnrichmentSources
Get associated cost integrations
Return associated cost integrations, including those with errors and excluding disabled associations.
GET
/
enrichment_sources
/
{enrichment_source_token}
/
cost_integrations
Get associated cost integrations
curl --request GET \
--url https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/cost_integrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_5976ebd11302daa2/cost_integrations",
"first": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_5976ebd11302daa2/cost_integrations?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_5976ebd11302daa2/cost_integrations?page=1",
"prev": null
},
"cost_integrations": [
{
"token": "accss_crdntl_51cc69c51624caf4",
"provider": "aws",
"account_identifier": "606441991586",
"status": "pending",
"last_updated": null,
"workspace_tokens": [
"wrkspc_5019ac56ac17dd58"
],
"created_at": "2026-11-10T22:13:57Z",
"managed_account_tokens": [],
"enriched_by": [
"srvc_data_intgrtn_1e315a6237dfd2e1",
"srvc_data_intgrtn_5976ebd11302daa2",
"srvc_data_intgrtn_60a40c37820efd44",
"srvc_data_intgrtn_8a0519d49bf04d02"
]
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
read
Grants read access
Path Parameters
Query Parameters
The page of results to return.
The number of results to return. The maximum is 1000.